#!/bin/sh
# srcdir may get passed in by autoconf
#
if [ "$srcdir" != "" ]; then
	srcdir=$srcdir"/"
else
	srcdir="/"
fi

srcdir="`pwd`/$srcdir"

# Test the locally built versions, in preference to the installed ones.
# Also, there might not be anything installed as yet (eg. during "make check")
export PATH=../src:../scripts:$PATH

# Source some functions
. $srcdir"testfunctions"

echo -n "Test rdf populate, parsing and graph generation ... "
directory=$srcdir"3"

tmpfile=`mktemp -q /tmp/XXXXXX`

if [ ! -w $tmpfile ]; then
	echo Unable to create temporary file.
	failure
fi

startServer -c $directory/conf/serel.conf
[ $? != "0" ] && failure

SEREL_PAIRS=
for i in "$directory"/*; do
	if [ ! -d $i ]; then
		service=`basename $i`
		SEREL_PAIRS="$SEREL_PAIRS $service $i" 
	fi
done

serelhistory --populate << END
--pairs
$SEREL_PAIRS
END
[ $? != "0" ] && failure

serelhistory --query verify > /dev/null
[ $? != "0" ] && failure

# always stop the server, no matter what
trap "serelc --control stop > /dev/null 2>&1" EXIT

for i in "$directory"/*; do
	[ ! -d $i ] && serel-wrap $i start &
done

wait

testStatus $directory "eStateIn"

serelc --query graph > $tmpfile
[ $? != "0" ] && failure

grep -q edge-syslog-anacron $tmpfile
[ $? != "0" ] && failure

grep -q edge-syslog-apmd    $tmpfile
[ $? != "0" ] && failure

rm $tmpfile

serelc --control stop

success
